Create Fingerprint
Create a new fingerprint object
Endpoint
POST /fp
Request body
A JSON object containing fingerprint fields:
preset
string
required
FP
seed
string
FP
screen
object
FP
platform_version
string
FP
arch
string
FP
cpu
int
FP
ram
int
FP
gl_vendor
string
FP
gl_renderer
string
FP
country_code
string
GEO
languages
string
GEO
tz
string
GEO
ip4
string
GEO
ip6
string
GEO
You can omit all fields except for preset and let the rest be filled automatically. Geo-specific fields (starting with country_code) won't be filled unless provided in the request
Response body
A JSON object representing the newly created resource. Will contain the id and user_id on top of the provided fields:
id
string
required
DB
user_id
string
required
DB
preset
string
required
FP
seed
string
required
FP
screen
object
required
FP
platform_version
string
required
FP
arch
string
required
FP
cpu
int
required
FP
ram
int
required
FP
gl_vendor
string
required
FP
gl_renderer
string
required
FP
country_code
string
GEO
languages
string
GEO
tz
string
GEO
ip4
string
GEO
ip6
string
GEO
Example request
json
{
"preset": "windows10",
"screen": {
"w": 1920,
"h": 1080
},
"platform_version": "10.0.0",
"arch": "x64",
"cpu": 4,
"ram": 8,
"gl_vendor": "Google Inc. (NVIDIA)",
"gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
"country_code": "GB",
"languages": "en-GB,en-US,en",
"tz": "Europe/London",
"ip4": "11.22.33.44",
"ip6": "11:22::33:44"
}js
const response = await fetch("https://api.ateratti.com/fp", {
method: "POST",
headers: { "X-Api-Key": "Your API key" },
body: JSON.stringify({
preset: "windows10",
screen: {
w: 1920,
h: 1080,
},
platform_version: "10.0.0",
arch: "x64",
cpu: 4,
ram: 8,
gl_vendor: "Google Inc. (NVIDIA)",
gl_renderer: "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
country_code: "GB",
languages: "en-GB,en-US,en",
tz: "Europe/London",
ip4: "11.22.33.44",
ip6: "11:22::33:44",
}),
});
const fp = await response.json();
console.log(fp);Example response
200 OK
json
{
"id": "22de14c6-ac0a-4919-81d2-eb5bf571e8a1",
"user_id": "314b9e8c-4212-49e2-9d12-ae16e576d4e8",
"preset": "windows10",
"screen": {
"w": 1920,
"h": 1080
},
"platform_version": "10.0.0",
"arch": "x64",
"cpu": 4,
"ram": 8,
"gl_vendor": "Google Inc. (NVIDIA)",
"gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
"country_code": "GB",
"languages": "en-GB,en-US,en",
"tz": "Europe/London",
"ip4": "11.22.33.44",
"ip6": "11:22::33:44"
}400 Not Found
json
{
"message": "Empty body"
}Error responses
| Code | Description |
|---|---|
| 400 Bad Request | The request body contains invalid data |
| 403 Forbidden | You have reached the limit for creating new fingerprints |